#!/bin/sh

####################################################################
# create dynamic route(zebra/bgpd/ospfd/ospf6d) config file for VPN namespace
# $1: VPN-ID
####################################################################

VPNID=$1
[ -z "$VPNID" ] && {
    logger -t "createDynRtConf" "Error: must set VPN-ID(${VPNID})"
    exit 1
}

VPN_PREFIX="ns${VPNID}_"
CONF_DIR=/etc/quagga

ZEBRA_CONF=${CONF_DIR}/${VPN_PREFIX}zebra.conf
BGPD_CONF=${CONF_DIR}/${VPN_PREFIX}bgpd.conf
OSPFD_CONF=${CONF_DIR}/${VPN_PREFIX}ospfd.conf
OSPF6D_CONF=${CONF_DIR}/${VPN_PREFIX}ospf6d.conf

[ ! -f ${ZEBRA_CONF} ] && {
cat > ${ZEBRA_CONF} <<EOF
table 231
EOF
}

[ ! -f ${BGPD_CONF} ] && {
cat > ${BGPD_CONF} <<EOF
EOF
}

[ ! -f ${OSPFD_CONF} ] && {
cat > ${OSPFD_CONF} <<EOF
EOF
}

[ ! -f ${OSPF6D_CONF} ] && {
cat > ${OSPF6D_CONF} <<EOF
EOF
}

exit 0
